# LDAPPluginServiceDescriptor< className > Class Template Reference

`#include <pldap.h>`

Inheritance diagram for LDAPPluginServiceDescriptor< className >:

List of all members.

## Public Member Functions

virtual PObject * | CreateInstance (int) const
virtual PStringArray | GetDeviceNames (int) const

### template<class className>
class LDAPPluginServiceDescriptor< className >

## Member Function Documentation

template<class className>

virtual PObject* LDAPPluginServiceDescriptor< className >::CreateInstance | ( | int |  | ) | const`[inline, virtual]`

Implements PDevicePluginServiceDescriptor.

template<class className>

virtual PStringArray LDAPPluginServiceDescriptor< className >::GetDeviceNames | ( | int |  | ) | const`[inline, virtual]`

Implements PDevicePluginServiceDescriptor.

The documentation for this class was generated from the following file:

- pldap.h